• 0

HTTPS Loading Localhost?

Question

Posted · Report post

We're seeing an issue on HTTPS for https://iwhc.org/join-us/donate/ when we check it at http://www.whynopadlock.com/ that says some really weird items are showing up unsecure. Here's what we're getting:

Insecure URL: http://localhost/pagelines/wp-content/plugins/pagelines-developer/icon-font/plfont-regular.eot
Insecure URL: http://localhost/pagelines/wp-content/plugins/pagelines-developer/icon-font/plfont-regular.eot?
Insecure URL: http://localhost/pagelines/wp-content/plugins/pagelines-developer/icon-font/plfont-regular.woff
Insecure URL: http://localhost/pagelines/wp-content/plugins/pagelines-developer/icon-font/plfont-regular.ttf
Insecure URL: http://localhost/pagelines/wp-content/plugins/pagelines-developer/icon-font/plfont-regular.svg
Insecure URL: https://iwhc.org/wp-includes/images/uploader-icons.png
Found in: https://iwhc.org/wp-includes/css/media-views.min.css

Only thing is, we don't see these lines at all in the actual html code of https://iwhc.org/join-us/donate/  nor do we see any of this showing up in the database.

 

And to make it weirder, we don't have /pagelines/wp-content/plugins/pagelines-developer/ on our server at all. Doesn't exist and never did. We also don't work in localhost so that doesn't make sense either.

 

Anyone have any ideas? Clifford P"] or @[member="Danny maybe?

Share this post


Link to post
Share on other sites

7 answers to this question

  • 0

Posted · Report post

Nevermind, we've figured out that it was the pagelines-developer plugin that was messing this up. The css in it has this faulty code.

Share this post


Link to post
Share on other sites
  • 0

Posted · Report post

PageLines Developer plugin ?

Share this post


Link to post
Share on other sites
  • 0

Posted · Report post

Mark & Phil"] cc @[member="Danny

For the record and to avoid potential confusion, can you confirm the plugin you mention is PageLines Developer by Evan Mattson?

Share this post


Link to post
Share on other sites
  • 0

Posted · Report post

Mark & Phil,

 

The plugin has been updated, so there should be no issue now.  This plugin is not auto-updated through PageLines, so it must be done manually.

 

You can get the latest version from https://bitbucket.org/aaemnnosttv/pagelines-developer.

 

Thanks for bringing it to my attention Erwan!

1 person likes this

Share this post


Link to post
Share on other sites
  • 0

Posted · Report post

Evan, what does your developer plugin do / help with?

Share this post


Link to post
Share on other sites
  • 0

Posted · Report post

Danny"] @[member="Erwan"] Yep, thats the one! Thanks for the update @[member="Evan Mattson!

Share this post


Link to post
Share on other sites
  • 0

Posted · Report post

Clifford P

 

Evan, what does your developer plugin do / help with?

 

It adds some helpful utilities and references to the wp admin bar.  Most notably, it allows you to toggle PL_DEV and PL_LESS_DEV constants without having to edit your wp-config file to do so.

One of the other quite handy features for us devs is that it shows the pagelines and wp versions right at the top, which is useful if you change those often for testing etc.

 

Also, it's worth mentioning that it has the same kind of functionality for restricting it's use to select users as the DMS editor (using similarly named control constants).

 

Download it and see the rest for yourself :)

1 person likes this

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!


Register a new account

Sign in

Already have an account? Sign in here.


Sign In Now